####################################
### LittleCMS For Pointcarre 4.x ###
####################################

win32:OS=win32
unix:mac:OS=macosx
unix:!mac:OS=linux

TEMPLATE      = app
LANGUAGE      = C++
OBJECTS_DIR   = obj/$${OS}
DEPENDPATH   += . src
INCLUDEPATH  += .
TARGET        = test
CONFIG       -= debug_and_release
CONFIG       += qt console warn_on release
QT            = core gui

unix:mac {
    CONFIG += x86 x86_64
}

SOURCES += main.cpp
# Input
HEADERS += lcms2.h lcms2_plugin.h
SOURCES += src/cmscam02.c \
           src/cmscgats.c \
           src/cmscnvrt.c \
           src/cmserr.c \
           src/cmshalf.c \
           src/cmsgamma.c \
           src/cmsgmt.c \
           src/cmsintrp.c \
           src/cmsio0.c \
           src/cmsio1.c \
           src/cmslut.c \
           src/cmsmd5.c \
           src/cmsmtrx.c \
           src/cmsnamed.c \
           src/cmsopt.c \
           src/cmspack.c \
           src/cmspcs.c \
           src/cmsplugin.c \
           src/cmsps2.c \
           src/cmssamp.c \
           src/cmssm.c \
           src/cmstypes.c \
           src/cmsvirt.c \
           src/cmswtpnt.c \
           src/cmsxform.c
